#ifndef __SPLINK_LED_H__
#define __SPLINK_LED_H__

#define LED_MAJOR	244
#define LED_NAME	"led"

#define LED_BLINK_MAX	5

#define LED_READY	0
#define LED_AIR_11A	1
#define LED_AIR_11B	2
#define LED_LPT  	3
#define LED_RST		4

#define GPIO_GPIO0	0x01
#define GPIO_GPIO1	0x02
#define GPIO_GPIO2 	0x04
#define GPIO_GPIO3	0x08
#define GPIO_GPIO4	0x10
#define GPIO_GPIO5	0x20
#define GPIO_GPIO6	0x40
#define GPIO_GPIO7	0x80

/* LED control */
#define LED_ON		1
#define LED_OFF		0

void	led_blink(unsigned long led);
int	led_on_off(unsigned long led, int ctrl);

#endif
