#!/bin/sh

ZEBRA_CONFIG="/etc/zebra.conf"

. /etc/linuxigd/RouterConfig

echo "Set up static routes"

i=0
while [ "$i" -lt $StaticRouteCount ]; do
   eval IP='$'StaticIP${i}
   if [ "$IP" != "" ]; then
      eval Mask='$'StaticMask${i}
      if [ "$Mask" != "" ]; then
         eval GW='$'StaticGW${i}
         if [ "$GW" != "" ]; then
            echo "ip route ${IP}/${Mask} $GW" >> $ZEBRA_CONFIG
         fi
      fi
   fi
   i=$(($i+1))
done

zebra --config_file=${ZEBRA_CONFIG} -d
echo "Zebra is up"
echo "zebra" >> /etc/watchdog.conf
