#!/bin/sh
. /etc/linuxigd/WLANConfig11a
. /etc/linuxigd/DeviceSecurity11a
FILE=/etc/linuxigd/wlan11a.log

echo "SSID 	: $SSID" > $FILE
echo "Channel	: $Channel" >> $FILE
echo "WEP	: $WEPType" >> $FILE
if [ "$x_AESEnable" = "1" ]; then
	echo "AES	: Enabled" >> $FILE
fi
if [ "$ACLMethod" != "Disable" ]; then
	if [ "$ApplyDevices" != "802.11b only" ] && [ "$ApplyDevices" != "802.11g only" ]; then
		echo "ACL	: $ACLMethod" >> $FILE
	fi
fi
echo "-----------------------" >> $FILE

STAS=`wlanutil drvset wlanA0 "station"`

echo -n >> $FILE
if [ "$STAS" = "station" ]; then
	exit 0
fi
num=0
for i in $STAS ; do
	num=$(($num+1))
	echo -e "STA$num $i" >> $FILE
done
